org.richfaces.ui.toggle

## Class MethodExpressionItemChangeListener

- java.lang.Object
- - org.richfaces.ui.common.MethodExpressionEventListener
  - - org.richfaces.ui.toggle.MethodExpressionItemChangeListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, ItemChangeListener

      public class MethodExpressionItemChangeListener
      extends MethodExpressionEventListener
      implements ItemChangeListener

  MethodExpressionItemChangeListener is a `ItemChangeListener` that wraps a `MethodExpression`. When it receives a `ItemChangeEvent`, it executes a method on an object identified by the `MethodExpression`.

  Since:
    -4712-01-01
  Version:
    1.0
  Author:
    akolonitsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionItemChangeListener()`
    `MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg)`
    `MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processItemChange(ItemChangeEvent itemChangeEvent)` Invoked when `ItemChangeEvent` occurs.

    - ### Methods inherited from class org.richfaces.ui.common.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionItemChangeListener

          public MethodExpressionItemChangeListener()

    - #### MethodExpressionItemChangeListener

          public MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg)

    - #### MethodExpressionItemChangeListener

          public MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg,
                                            javax.el.MethodExpression methodExprZeroArg)

  - ### Method Detail

    - #### processItemChange

          public void processItemChange(ItemChangeEvent itemChangeEvent)
                                 throws javax.faces.event.AbortProcessingException

      Description copied from interface: `ItemChangeListener`

      Invoked when `ItemChangeEvent` occurs.

      Specified by:
        `processItemChange` in interface `ItemChangeListener`
      Parameters:
        `itemChangeEvent` - The `ItemChangeEvent` that has occurred
      Throws:
        `javax.faces.event.AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

Copyright © 2014 JBoss by Red Hat. All rights reserved.